Send
curl --request POST \
--url https://api.sendflit.com/v1/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "jsmith@example.com",
"to_name": "<string>",
"cc": [],
"bcc": [],
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"reply_to": "jsmith@example.com",
"headers": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"template_id": "<string>",
"template_name": "<string>",
"variables": {},
"attachments": []
}
'import requests
url = "https://api.sendflit.com/v1/email"
payload = {
"from": "<string>",
"to": "jsmith@example.com",
"to_name": "<string>",
"cc": [],
"bcc": [],
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"reply_to": "jsmith@example.com",
"headers": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"template_id": "<string>",
"template_name": "<string>",
"variables": {},
"attachments": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: 'jsmith@example.com',
to_name: '<string>',
cc: [],
bcc: [],
subject: '<string>',
html: '<string>',
text: '<string>',
reply_to: 'jsmith@example.com',
headers: {},
scheduled_at: '2023-11-07T05:31:56Z',
template_id: '<string>',
template_name: '<string>',
variables: {},
attachments: []
})
};
fetch('https://api.sendflit.com/v1/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sendflit.com/v1/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => '<string>',
'to' => 'jsmith@example.com',
'to_name' => '<string>',
'cc' => [
],
'bcc' => [
],
'subject' => '<string>',
'html' => '<string>',
'text' => '<string>',
'reply_to' => 'jsmith@example.com',
'headers' => [
],
'scheduled_at' => '2023-11-07T05:31:56Z',
'template_id' => '<string>',
'template_name' => '<string>',
'variables' => [
],
'attachments' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sendflit.com/v1/email"
payload := strings.NewReader("{\n \"from\": \"<string>\",\n \"to\": \"jsmith@example.com\",\n \"to_name\": \"<string>\",\n \"cc\": [],\n \"bcc\": [],\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"headers\": {},\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"template_id\": \"<string>\",\n \"template_name\": \"<string>\",\n \"variables\": {},\n \"attachments\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sendflit.com/v1/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"<string>\",\n \"to\": \"jsmith@example.com\",\n \"to_name\": \"<string>\",\n \"cc\": [],\n \"bcc\": [],\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"headers\": {},\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"template_id\": \"<string>\",\n \"template_name\": \"<string>\",\n \"variables\": {},\n \"attachments\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sendflit.com/v1/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from\": \"<string>\",\n \"to\": \"jsmith@example.com\",\n \"to_name\": \"<string>\",\n \"cc\": [],\n \"bcc\": [],\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"headers\": {},\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"template_id\": \"<string>\",\n \"template_name\": \"<string>\",\n \"variables\": {},\n \"attachments\": []\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Send
Send one email. Pass an Idempotency-Key header on retry-sensitive
calls: retrying the exact same request with the same key replays the
original result (including a prior failure) instead of sending twice. Reusing the key with a different body is rejected as a client error.
POST
/
v1
/
email
Send
curl --request POST \
--url https://api.sendflit.com/v1/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "jsmith@example.com",
"to_name": "<string>",
"cc": [],
"bcc": [],
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"reply_to": "jsmith@example.com",
"headers": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"template_id": "<string>",
"template_name": "<string>",
"variables": {},
"attachments": []
}
'import requests
url = "https://api.sendflit.com/v1/email"
payload = {
"from": "<string>",
"to": "jsmith@example.com",
"to_name": "<string>",
"cc": [],
"bcc": [],
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"reply_to": "jsmith@example.com",
"headers": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"template_id": "<string>",
"template_name": "<string>",
"variables": {},
"attachments": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: 'jsmith@example.com',
to_name: '<string>',
cc: [],
bcc: [],
subject: '<string>',
html: '<string>',
text: '<string>',
reply_to: 'jsmith@example.com',
headers: {},
scheduled_at: '2023-11-07T05:31:56Z',
template_id: '<string>',
template_name: '<string>',
variables: {},
attachments: []
})
};
fetch('https://api.sendflit.com/v1/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sendflit.com/v1/email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => '<string>',
'to' => 'jsmith@example.com',
'to_name' => '<string>',
'cc' => [
],
'bcc' => [
],
'subject' => '<string>',
'html' => '<string>',
'text' => '<string>',
'reply_to' => 'jsmith@example.com',
'headers' => [
],
'scheduled_at' => '2023-11-07T05:31:56Z',
'template_id' => '<string>',
'template_name' => '<string>',
'variables' => [
],
'attachments' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sendflit.com/v1/email"
payload := strings.NewReader("{\n \"from\": \"<string>\",\n \"to\": \"jsmith@example.com\",\n \"to_name\": \"<string>\",\n \"cc\": [],\n \"bcc\": [],\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"headers\": {},\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"template_id\": \"<string>\",\n \"template_name\": \"<string>\",\n \"variables\": {},\n \"attachments\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sendflit.com/v1/email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"<string>\",\n \"to\": \"jsmith@example.com\",\n \"to_name\": \"<string>\",\n \"cc\": [],\n \"bcc\": [],\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"headers\": {},\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"template_id\": \"<string>\",\n \"template_name\": \"<string>\",\n \"variables\": {},\n \"attachments\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sendflit.com/v1/email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from\": \"<string>\",\n \"to\": \"jsmith@example.com\",\n \"to_name\": \"<string>\",\n \"cc\": [],\n \"bcc\": [],\n \"subject\": \"<string>\",\n \"html\": \"<string>\",\n \"text\": \"<string>\",\n \"reply_to\": \"jsmith@example.com\",\n \"headers\": {},\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"template_id\": \"<string>\",\n \"template_name\": \"<string>\",\n \"variables\": {},\n \"attachments\": []\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response